with (import <nixpkgs> {});
let
  asciidoctor_revealjs = bundlerApp {
    pname = "asciidoctor-revealjs";
    exes = [ "asciidoctor-revealjs" ];
    inherit ruby;
    gemdir = ./.;
  };

  revealjs = fetchFromGitHub {
    owner = "hakimel";
    repo = "reveal.js";
    rev = "3.7.0";
    sha256 = "1raqacq2c6rcbqkli1jygw68nqs090zm59zrbdvflk6y1mzk93nd";
  };

in derivation {
  name = "kafetech-fai";
  builder = "${bash}/bin/bash";
  args = [ ./build.sh ];
  inherit asciidoctor asciidoctor_revealjs coreutils jre graphviz revealjs;
  src = ./src;
  system = builtins.currentSystem;
}

